Bug 108668 - drm/amd/display: set backlight level limit to 1: breaks userspace programs assuming 0 is the minimum brightness
Summary: drm/amd/display: set backlight level limit to 1: breaks userspace programs as...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-05 20:27 UTC by Samantha McVey
Modified: 2018-11-30 03:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samantha McVey 2018-11-05 20:27:57 UTC
This commit https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0cafc82fae41531b0162150f9a97f2c74f97118f breaks KDE and any other software that assumes setting 0 will induce the minimum brightness. Maybe it would make more sense to set the brightness level to "1" if userspace requests brightness level "0" so programs still function correctly.

If desired the call could still return false to indicate it was out of bounds, but still lower brightness.
Comment 1 Samantha McVey 2018-11-05 20:41:35 UTC
In addition, even though there is a write error, when you read back the brightness value, it shows that the backlight is at level 0, while its brightness has actually been unchanged from before:

echo 0 > /sys/devices/pci0000:00/0000:00:08.1/0000:05:00.0/backlight/amdgpu_bl0/brightness
bash: echo: write error: Invalid argument

cat /sys/devices/pci0000:00/0000:00:08.1/0000:05:00.0/backlight/amdgpu_bl0/brightness
0
Comment 2 Harry Wentland 2018-11-06 16:59:58 UTC
This should fix it: https://patchwork.freedesktop.org/patch/260537/
Comment 3 Samantha McVey 2018-11-30 03:20:57 UTC
Closing this since it has been fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.